Skip to main content
GET
/
v1
/
interviews
/
{interview_id}
/
processes
/
{process_id}
/
steps
/
{step_id}
Get Step Detail
curl --request GET \
  --url https://api.ontora.com/v1/interviews/{interview_id}/processes/{process_id}/steps/{step_id} \
  --header 'Authorization: Bearer <token>'
{
  "step": {
    "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
    "name": "<string>",
    "slug": "<string>",
    "description": "<string>",
    "step_type": "<string>",
    "pain_points": [
      {
        "text": "<string>",
        "category": "<string>",
        "severity": "<string>",
        "quote": "<string>",
        "speaker": "<string>",
        "tools_mentioned": [
          "<string>"
        ]
      }
    ],
    "tools": [
      "<string>"
    ],
    "contributor_count": 123,
    "sort_order": 123
  },
  "objective": "<string>",
  "trigger": "<string>",
  "deliverables": "<string>",
  "departments": [
    "<string>"
  ],
  "flowchart_json": {},
  "process_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "process_name": "<string>"
}

Documentation Index

Fetch the complete documentation index at: https://docs.ontora.com/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Headers

X-API-Key
string | null

Path Parameters

interview_id
string<uuid>
required
process_id
string<uuid>
required
step_id
string<uuid>
required

Response

Successful Response

step
StepSummaryOut · object
required
objective
string | null
required
trigger
string | null
required
deliverables
string | null
required
departments
string[] | null
required
flowchart_json
Flowchart Json · object
required
process_id
string<uuid>
required
process_name
string
required